%define upstream_name    LWPx-ParanoidAgent
%define upstream_version 1.12

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Paranoid subclass of LWP::UserAgent
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/LWPx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Net::DNS)
BuildRequires: perl(Net::SSL)
BuildRequires: perl(Time::HiRes)
BuildArch: noarch


%description
The 'LWPx::ParanoidAgent' is a class subclassing 'LWP::UserAgent', but
paranoid against attackers. It's to be used when you're fetching a remote
resource on behalf of a possibly malicious user.

This class can do whatever 'LWP::UserAgent' can (callbacks, uploads from
files, etc), except proxy support is explicitly removed, because in that
case you should do your paranoia at your proxy.

Also, the schemes are limited to http and https, which are mapped to
'LWPx::Protocol::http_paranoid' and 'LWPx::Protocol::https_paranoid',
respectively, which are forked versions of the same ones without the
"_paranoid". Subclassing them didn't look possible, as they were
essentially just one huge function.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc ChangeLog META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.120.0-5.mga9
+ Revision: 1809569
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.120.0-4.mga8
+ Revision: 1504922
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.120.0-3.mga7
+ Revision: 1284493
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.120.0-2.mga7
+ Revision: 1165282
- rebuild with fixed rpm for missing autodeps

* Fri Aug 18 2017 sander85 <sander85> 1.120.0-1.mga7
+ Revision: 1141639
- update to 1.12

* Sun Jun 19 2016 pterjan <pterjan> 1.100.0-6.mga6
+ Revision: 1029494
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1.100.0-5.mga6
+ Revision: 937482
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 1.100.0-4.mga6
+ Revision: 937035
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.100.0-3.mga5
+ Revision: 738989
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.100.0-2.mga5
+ Revision: 685187
- Mageia 5 Mass Rebuild

* Mon Jan 13 2014 guillomovitch <guillomovitch> 1.100.0-1.mga4
+ Revision: 566448
- new version 1.10

* Mon Oct 21 2013 umeabot <umeabot> 1.90.0-2.mga4
+ Revision: 537265
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 1.90.0-1.mga4
+ Revision: 486652
- update to 1.09
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 1.70.0-1.mga1
+ Revision: 33911
- mageia rebuild
- imported package perl-LWPx-ParanoidAgent


* Sat Dec 25 2010 Shlomi Fish <shlomif@mandriva.org> 1.70.0-1mdv2011.0
+ Revision: 624861
- import perl-LWPx-ParanoidAgent

